use crate::prelude::*;

#[derive(Deserialize, Debug)]
pub struct Params {
    username: String,
    email: String,
}

pub async fn put(
    State(pool): State<Pool>,
    claims: Claims,
    Json(params): Json<Params>,
) -> Result<Json<db::users::UserInfo>, StatusCode> {
    let info = db::users::update(claims.user_id, &params.username, &params.email, &pool)
        .await
        .handle_internal()?;
    Ok(Json(info))
}
